Bug 16757 - Add ability to pay fee by id for SIP2
Summary: Add ability to pay fee by id for SIP2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 16895
  Show dependency treegraph
 
Reported: 2016-06-16 14:49 UTC by Kyle M Hall
Modified: 2017-04-02 17:44 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16757 - Add ability to pay fee by id for SIP2 (2.93 KB, patch)
2016-06-16 14:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing (4.41 KB, patch)
2016-06-16 15:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing (4.44 KB, patch)
2016-06-16 18:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing (4.42 KB, patch)
2016-07-11 11:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add ability to pay fee by id for SIP2 (3.21 KB, patch)
2016-07-11 11:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing (4.42 KB, patch)
2016-07-11 11:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16757 - Add ability to pay fee by id for SIP2 (3.28 KB, patch)
2016-09-16 13:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing (4.49 KB, patch)
2016-09-16 13:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add ability to pay fee by id for SIP2 (3.39 KB, patch)
2017-03-21 12:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing (4.48 KB, patch)
2017-03-21 12:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16757 - Add ability to pay fee by id for SIP2 (3.48 KB, patch)
2017-03-24 11:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing (4.57 KB, patch)
2017-03-24 11:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-06-16 14:49:26 UTC
The SIP protocol allows for a Fee Paid message to specify a fee identifier in the CG field. While this field is read and passed to C4::SIP::ILS::pay_fee, it is not passed along to C4::SIP::ILS::Transaction::FeePayment::pay and is thus not used. We should enable this functionality in Koha now that accountlines each have a unique identifier that can be passed along to the payment requestor via the AV field line items added by bug 14512.
Comment 1 Kyle M Hall 2016-06-16 14:58:35 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-06-16 15:52:43 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-16 18:27:53 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2016-07-11 11:20:35 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2016-07-11 11:33:10 UTC
Created attachment 53262 [details] [review]
Bug 16757 - Add ability to pay fee by id for SIP2

The SIP protocol allows for a Fee Paid message to specify a fee
identifier in the CG field. While this field is read and passed to
C4::SIP::ILS::pay_fee, it is not passed along to
C4::SIP::ILS::Transaction::FeePayment::pay and is thus not used. We
should enable this functionality in Koha now that accountlines each have
a unique identifier that can be passed along to the payment requestor
via the AV field line items added by bug 14512.

Test Plan:
1) Create a fee in Koha
2) Ensure your SIP2 server is running and configured correctly
3) Send a 37 Fee Paid message to Koha's SIP server with the
   accountlines_id for that fee in the CG fee identifier field,
   along with the other required fields.
4) Note that specific fee was paid in Koha
Comment 6 Kyle M Hall 2016-07-11 11:33:17 UTC
Created attachment 53263 [details] [review]
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing
Comment 7 Kyle M Hall 2016-09-16 13:01:09 UTC
Created attachment 55612 [details] [review]
[SIGNED-OFF] Bug 16757 - Add ability to pay fee by id for SIP2

The SIP protocol allows for a Fee Paid message to specify a fee
identifier in the CG field. While this field is read and passed to
C4::SIP::ILS::pay_fee, it is not passed along to
C4::SIP::ILS::Transaction::FeePayment::pay and is thus not used. We
should enable this functionality in Koha now that accountlines each have
a unique identifier that can be passed along to the payment requestor
via the AV field line items added by bug 14512.

Test Plan:
1) Create a fee in Koha
2) Ensure your SIP2 server is running and configured correctly
3) Send a 37 Fee Paid message to Koha's SIP server with the
   accountlines_id for that fee in the CG fee identifier field,
   along with the other required fields.
4) Note that specific fee was paid in Koha

Signed-off-by: Rhonda Kuiper <kuiper@roundrocktexas.gov>
Comment 8 Kyle M Hall 2016-09-16 13:01:17 UTC
Created attachment 55613 [details] [review]
[SIGNED-OFF] Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing

Signed-off-by: Rhonda Kuiper <kuiper@roundrocktexas.gov>
Comment 9 Kyle M Hall 2017-03-21 12:40:58 UTC
Created attachment 61375 [details] [review]
Bug 16757 - Add ability to pay fee by id for SIP2

The SIP protocol allows for a Fee Paid message to specify a fee
identifier in the CG field. While this field is read and passed to
C4::SIP::ILS::pay_fee, it is not passed along to
C4::SIP::ILS::Transaction::FeePayment::pay and is thus not used. We
should enable this functionality in Koha now that accountlines each have
a unique identifier that can be passed along to the payment requestor
via the AV field line items added by bug 14512.

Test Plan:
1) Create a fee in Koha
2) Ensure your SIP2 server is running and configured correctly
3) Send a 37 Fee Paid message to Koha's SIP server with the
   accountlines_id for that fee in the CG fee identifier field,
   along with the other required fields.
4) Note that specific fee was paid in Koha

Signed-off-by: Rhonda Kuiper <kuiper@roundrocktexas.gov>
Comment 10 Kyle M Hall 2017-03-21 12:41:05 UTC
Created attachment 61376 [details] [review]
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing

Signed-off-by: Rhonda Kuiper <kuiper@roundrocktexas.gov>
Comment 11 Marcel de Rooy 2017-03-24 11:49:42 UTC
Created attachment 61607 [details] [review]
Bug 16757 - Add ability to pay fee by id for SIP2

The SIP protocol allows for a Fee Paid message to specify a fee
identifier in the CG field. While this field is read and passed to
C4::SIP::ILS::pay_fee, it is not passed along to
C4::SIP::ILS::Transaction::FeePayment::pay and is thus not used. We
should enable this functionality in Koha now that accountlines each have
a unique identifier that can be passed along to the payment requestor
via the AV field line items added by bug 14512.

Test Plan:
1) Create a fee in Koha
2) Ensure your SIP2 server is running and configured correctly
3) Send a 37 Fee Paid message to Koha's SIP server with the
   accountlines_id for that fee in the CG fee identifier field,
   along with the other required fields.
4) Note that specific fee was paid in Koha

Signed-off-by: Rhonda Kuiper <kuiper@roundrocktexas.gov>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 12 Marcel de Rooy 2017-03-24 11:49:48 UTC
Created attachment 61608 [details] [review]
Bug 16757 - Add support for Fee Paid to SIP cli emulator for testing

Signed-off-by: Rhonda Kuiper <kuiper@roundrocktexas.gov>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 13 Marcel de Rooy 2017-03-24 11:54:00 UTC
QA Comment:
Looks good to me. Tested fee paid with and without accountlines id.
The cli emulator looks ok, but did not test it; rather run a test file like t/db_dependent/SIP/Message.t or so :)

Passed QA
Comment 14 Kyle M Hall 2017-03-31 14:38:03 UTC
Pushed to master for 17.05!
Comment 15 Katrin Fischer 2017-04-02 17:44:05 UTC
This won't get ported back to 16.11.x as it is an enhancement.